Support » Plugin: Private groups » Cannot use a scalar value

  • Resolved jurgi

    (@jurgi)


    I have this error:

    Warning: Cannot use a scalar value as an array in …/wp-content/plugins/bbp-private-groups/includes/functions.php on line 599

    Can U help me please?

Viewing 8 replies - 1 through 8 (of 8 total)
  • I downgrade to version: 3.2.4 (svn) and its done. Its maybe help you.

    Plugin Author Robin W

    (@robin-w)

    Thanks, that’s all really helpful.

    Are you able to help me fix this?

    To save me lots of testing, are you able to edit a file if I tell you which one (essentially I just need to add a line and see if the error goes away) . Don’t worry is that makes no sense – but on the chance that you know how to edit files, that would be great.

    Of course, what can i help u? I give you access for my page, if you need it.

    Plugin Author Robin W

    (@robin-w)

    ideally I’d like you to do the following

    wp-content/plugins/bbp-private-groups/includes/functions.php

    edit this to add a line

    so existing line 580-582 is

    $groups = get_post_meta( $forum_id, '_private_group', false );
    	//so now we know which forum it is in - now we need to know if user has access to any groups of this forum  - so we get the groups this user has
    	$check=get_user_meta( $user_id, 'private_group',true);

    and could you add a line to make this

    $groups = get_post_meta( $forum_id, '_private_group', false );
    	$valuecheck = array();
    	//so now we know which forum it is in - now we need to know if user has access to any groups of this forum  - so we get the groups this user has
    	$check=get_user_meta( $user_id, 'private_group',true);
    

    If you don’t know how to do this, please come back – I do not wish for you to try something you are not comfortable with !

    Otherwise then let me know if this clears the error

    It works, im very happy now 🙂

    (no warning message)

    + You are superfast!

    Plugin Author Robin W

    (@robin-w)

    hey great – I’ll release 3.2.6 in the next couple of days that will have this in as a permanent fix

    Thanks for testing this for me !!

    Plugin Author Robin W

    (@robin-w)

    permanent fix in 3.2.6

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Cannot use a scalar value’ is closed to new replies.